List configuration backups on a remote portal - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service returns the list of configuration backups available on a remote Fluid Topics portal.

  • This web service is available to users or API keys with the ADMIN role.
  • It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.
Method Endpoint
GET
/api/remote-portals/{remoteId}/backups
Path parameter Type Required? Description
remoteId String Yes Unique identifier of the remote portal.
Use the List remote portals web service to get the ID.

Response body

The following example shows a JSON response body for this web service:

{
  "backups": [
    {
      "id": "abc123",
      "name": "my-backup",
      "description": "Weekly backup",
      "backupDate": "2024-01-15T10:30:00Z",
      "autoBackup": false
    }
  ]
}
Field Type Description
backups Array List of configuration backups available on the remote portal.
id String Unique identifier of the configuration backup on the remote portal.
name String Name of the configuration backup on the remote portal.
description String Description of the configuration backup on the remote portal.
backupDate String Date and time when the configuration backup was created (UTC) on the remote portal. Its format is YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
autoBackup Boolean Indicates whether the configuration backup was created automatically on the remote portal.
It is possible to automatically create a backup when restoring a configuration backup with the createAutoBackup value.
Return code Description
200 OK Returns the list of configuration backups available on the remote portal.
401 UNAUTHORIZED The authorization header is absent or invalid.
403 FORBIDDEN The user or API key must be an ADMIN.
404 NOT FOUND No remote portal exists with the given ID.
500 INTERNAL SERVER ERROR An error occurred when communicating with the remote server.

For a comprehensive list of all possible return codes, see Return codes.